<template lang="pug">
  .text-area
    .box
      span
        slot
</template>

<script>
export default {}
</script>

<style lang="scss">
.text-area {
  position: relative;
  display: flex;
  color: black;

  .box {
    background-color: white;
    margin: 1em;

    border-radius: 1.7em;
    padding: 3em;
    span {
      font-size: 1.2em;
    }
  }

  img.corner {
    position: absolute;
    max-width: 8em;

    &.top-right-corner {
      top: 0;
      right: 0;
      transform: rotate(180deg);
    }

    &.bottom-left-corner {
      bottom: 0;
      left: 0;
    }
  }
}
</style>
